curl --request PATCH \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"AccountHolder": "<string>",
"BankName": "<string>",
"AccountNumber": "<string>",
"BankCode": "<string>",
"IBAN": "<string>",
"BIC": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}"
payload = {
"AccountHolder": "<string>",
"BankName": "<string>",
"AccountNumber": "<string>",
"BankCode": "<string>",
"IBAN": "<string>",
"BIC": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
AccountHolder: '<string>',
BankName: '<string>',
AccountNumber: '<string>',
BankCode: '<string>',
IBAN: '<string>',
BIC: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Update Customer Bank Account
Update a specific bank account
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer that the bank accounts belong to. Represents a unique key for identifying a customer in the JTL system.
The id of the customer bank account.
Body
The customer bank account to update.
Model Class: UpdateCustomerBankAccount
Name of the account holder of the customer's bank account.
Name of the bank.
Account number of the customer's bank account.
Bank code of the customer bank's account.
International bank account number of the customer's bank account.
Bank identification code of the customer's bank account.
Response
Was this page helpful?